> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET/Projects

> API guide for retrieving project settings

This API returns the current settings for your project.

<Warning>
  This API provides a snapshot to assist with operations, and the response structure may change without prior notice due to service updates.
</Warning>

## Authentication header

ARGOS API uses the secret key in the x-api-key header for authentication. You can find your secret key in the dashboard project settings.

When making API requests, include your API key in the `x-api-key` header as follows:

```bash theme={null}
x-api-key: {yourAPIKey}
```

## Request

### Query parameters

<ParamField query="category" type="string">
  You can check the current values of settings for a specific category.

  Filtering is possible by passing a comma-separated string. Additional categories will be added in the future.

  **Possible values:** `management`

  **Example:** `category=management`
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://rest-api.argosidentity.com/v3/projects/settings?category=management' \
  -H 'x-api-key: {yourAPIKey}'
  ```
</RequestExample>

## Response

### Success response

<ResponseField name="traceId" type="string">
  Unique identifier for the API request issued by ARGOS. Including the traceId in your inquiry will help you get a faster response.
</ResponseField>

<ResponseField name="item" type="object">
  Current project settings information.

  <Expandable title="Properties">
    <ResponseField name="management" type="object">
      Settings information related to project management.

      <Expandable title="management properties">
        <ResponseField name="activateBlocking" type="object">
          Current status based on the submission control system. Returns inactive value when system operation is stopped.<br />
          "activateBlocking" won't be affected by updates within the same version.

          <Expandable title="Properties">
            <ResponseField name="activate" type="boolean">
              Whether the submission control system is activated.
            </ResponseField>

            <ResponseField name="latestExecutionTime" type="string">
              The time when submission control was last activated (ISO8601).
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="admins" type="array">
          Administrator information stored in the dashboard.
        </ResponseField>

        <ResponseField name="description" type="string">
          Project description set in the dashboard.
        </ResponseField>

        <ResponseField name="formPrivacyPolicyUrl" type="string">
          Privacy policy URL set in the dashboard.
        </ResponseField>

        <ResponseField name="formReturnUrl" type="string">
          Return URL set in the dashboard.
        </ResponseField>

        <ResponseField name="formReturnUrlConfig" type="object">
          Settings for options within the Return URL.

          <Expandable title="Properties">
            <ResponseField name="cf1" type="boolean">
              Whether to include custom field 1
            </ResponseField>

            <ResponseField name="cf2" type="boolean">
              Whether to include custom field 2
            </ResponseField>

            <ResponseField name="cf3" type="boolean">
              Whether to include custom field 3
            </ResponseField>

            <ResponseField name="email" type="boolean">
              Whether to include email
            </ResponseField>

            <ResponseField name="kycStatus" type="boolean">
              Whether to include KYC status
            </ResponseField>

            <ResponseField name="submissionId" type="boolean">
              Whether to include submission ID
            </ResponseField>

            <ResponseField name="userId" type="boolean">
              Whether to include user ID
            </ResponseField>

            <ResponseField name="skipResultPage" type="boolean">
              Whether to skip the result page
            </ResponseField>

            <ResponseField name="isEncrypted" type="boolean">
              Whether encryption is enabled
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="formTermsOfUseUrl" type="string">
          Stored terms of use URL.
        </ResponseField>

        <ResponseField name="ipWhitelist" type="object">
          IP list allowed for dashboard access and API.

          <Expandable title="Properties">
            <ResponseField name="admin" type="array">
              IP list allowed for dashboard access
            </ResponseField>

            <ResponseField name="api" type="array">
              IP list allowed for API access
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="name" type="string">
          Configured project name.
        </ResponseField>

        <ResponseField name="projectStatus" type="string">
          Current operational status of the project. Please contact ARGOS administrator if you want to change it.

          **Possible values:** `Trial`, `Test`, `Service`, `Closed`
        </ResponseField>

        <ResponseField name="webhook" type="object">
          Webhook settings stored in the project.

          <Expandable title="Properties">
            <ResponseField name="createTime" type="string">
              Webhook registration time
            </ResponseField>

            <ResponseField name="url" type="string">
              URL to receive webhook
            </ResponseField>

            <ResponseField name="members" type="array">
              Webhook member list

              <Expandable title="member properties">
                <ResponseField name="name" type="string">
                  Webhook member name
                </ResponseField>

                <ResponseField name="addDate" type="string">
                  Time when webhook member was added (ISO8601)
                </ResponseField>

                <ResponseField name="email" type="string">
                  Webhook member email
                </ResponseField>
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success theme={null}
  {
    "traceId": "019a57b8-2bca-73de-94f0-220def0b60ee",
    "item": {
      "management": {
        "activateBlocking": {
          "activate": false
        },
        "admins": [
          "test@argosidentity.com"
        ],
        "description": " ",
        "formPrivacyPolicyUrl": " ",
        "formReturnUrl": " ",
        "formReturnUrlConfig": {
          "cf1": false,
          "cf2": false,
          "cf3": false,
          "email": false,
          "kycStatus": false,
          "submissionId": false,
          "userId": false,
          "skipResultPage": false,
          "isEncrypted": false
        },
        "formTermsOfUseUrl": " ",
        "ipWhitelist": {
          "admin": [],
          "api": []
        },
        "name": "test-project",
        "projectStatus": "open",
        "webhook": {
          "createTime": "2025-05-07T09:07:28.775Z",
          "url": "https://test.argosidentity.com",
          "members": [
            {
              "name": "test-member",
              "addDate": "2025-06-10T01:35:07.053Z",
              "email": "test@argosidentity.com"
            }
          ]
        }
      }
    }
  }
  ```
</ResponseExample>

### Error response

**Error codes**

| statusCode | code              | message                                           |
| ---------- | ----------------- | ------------------------------------------------- |
| 400        | BAD\_REQUEST      | Invalid query parameters                          |
| 400        | INVALID\_CATEGORY | Invalid category parameter: \[invalid categories] |

<ResponseExample>
  ```json Error theme={null}
  {
    "traceId": "018f1234-5678-90ab-cdef-123456789abc",
    "code": "BAD_REQUEST",
    "message": "Invalid query parameters"
  }
  ```
</ResponseExample>
